This is ONLY for Ubuntu Gutsy.
I compiled the new xf86-video-ati 6.7.196 This is the announce and the fixes/new features

To install it you must uninstall xserver-xorg-video-ati first :

sudo apt-get uninstall --purge xserver-xorg-video-ati

Or uninstall the xf86-video-ati_6.7.195-2 if you enable the 3D acceleration with this post
If you want to enable the 3D acceleration you can do the same of this post but you can use the latest xf86-video-ati 6.7.196

You can download the deb file from here:

xf86-video-ati_6.7.196_gutsy.deb